## mars.mips.hardware
Class MemoryConfiguration

    java.lang.Object
      mars.mips.hardware.MemoryConfiguration

    public class MemoryConfiguration

extends Object

Models the memory configuration for the simulated MIPS machine. "configuration" refers to the starting memory addresses for the various memory segments. The default configuration is based on SPIM. Starting with MARS 3.7, the configuration can be changed.

Author:
  Pete Sanderson

Constructor Summary
`MemoryConfiguration(String ident, String name, String[] items, int[] values)`

Method Summary
`String` `getConfigurationIdentifier()`
`String[]` `getConfigurationItemNames()`
`int[]` `getConfigurationItemValues()`
`String` `getConfigurationName()`
`int` `getDataBaseAddress()`
`int` `getDataSegmentBaseAddress()`
`int` `getDataSegmentLimitAddress()`
`int` `getExceptionHandlerAddress()`
`int` `getExternBaseAddress()`
`int` `getGlobalPointer()`
`int` `getHeapBaseAddress()`
`int` `getKernelBaseAddress()`
`int` `getKernelDataBaseAddress()`
`int` `getKernelDataSegmentLimitAddress()`
`int` `getKernelHighAddress()`
`int` `getKernelTextBaseAddress()`
`int` `getKernelTextLimitAddress()`
`int` `getMemoryMapBaseAddress()`
`int` `getMemoryMapLimitAddress()`
`int` `getStackBaseAddress()`
`int` `getStackLimitAddress()`
`int` `getStackPointer()`
`int` `getTextBaseAddress()`
`int` `getTextLimitAddress()`
`int` `getUserHighAddress()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryConfiguration

    public MemoryConfiguration(String ident,
                               String name,
                               String[] items,
                               int[] values)

Method Detail

### getConfigurationIdentifier

    public String getConfigurationIdentifier()

### getConfigurationName

    public String getConfigurationName()

### getConfigurationItemValues

    public int[] getConfigurationItemValues()

### getConfigurationItemNames

    public String[] getConfigurationItemNames()

### getTextBaseAddress

    public int getTextBaseAddress()

### getDataSegmentBaseAddress

    public int getDataSegmentBaseAddress()

### getExternBaseAddress

    public int getExternBaseAddress()

### getGlobalPointer

    public int getGlobalPointer()

### getDataBaseAddress

    public int getDataBaseAddress()

### getHeapBaseAddress

    public int getHeapBaseAddress()

### getStackPointer

    public int getStackPointer()

### getStackBaseAddress

    public int getStackBaseAddress()

### getUserHighAddress

    public int getUserHighAddress()

### getKernelBaseAddress

    public int getKernelBaseAddress()

### getKernelTextBaseAddress

    public int getKernelTextBaseAddress()

### getExceptionHandlerAddress

    public int getExceptionHandlerAddress()

### getKernelDataBaseAddress

    public int getKernelDataBaseAddress()

### getMemoryMapBaseAddress

    public int getMemoryMapBaseAddress()

### getKernelHighAddress

    public int getKernelHighAddress()

### getDataSegmentLimitAddress

    public int getDataSegmentLimitAddress()

### getTextLimitAddress

    public int getTextLimitAddress()

### getKernelDataSegmentLimitAddress

    public int getKernelDataSegmentLimitAddress()

### getKernelTextLimitAddress

    public int getKernelTextLimitAddress()

### getStackLimitAddress

    public int getStackLimitAddress()

### getMemoryMapLimitAddress

    public int getMemoryMapLimitAddress()